-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.command_line.spc,v $ 
-- $Revision: 1.2 $ $Date: 95/10/10 13:50:30 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

-- ARM 5.0; A.15

pragma ada_child;
package Ada.Command_Line is
pragma Suppress( Elaboration_Check );

  pragma Preelaborate(Command_Line);

  function Argument_Count return Natural;

  function Argument (Number : in Positive) return String;

  function Command_Name return String;

  type Exit_Status is new Integer range 0 .. 100;

  Success : constant Exit_Status;
  Failure : constant Exit_Status;

  procedure Set_Exit_Status (Code : in Exit_Status);

private

  Success : constant Exit_Status := 0;
  Failure : constant Exit_Status := 1;

end Ada.Command_Line;
