-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_BitSet.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:31:34 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.lang.Cloneable; use java.lang.Cloneable;
with java.lang; use java.lang;
package java.util.BitSet is

    type BitSet_Obj is tagged limited record
        Cloneable : aliased Cloneable_Obj;  -- implements Cloneable
    end record;
    type BitSet_Ptr is access all BitSet_Obj;

    function new_BitSet return BitSet_Ptr;

    function new_BitSet(
        nbits : Integer)
      return BitSet_Ptr;

    procedure set(Obj : access BitSet_Obj;
        bit : Integer);

    procedure clear(Obj : access BitSet_Obj;
        bit : Integer);

    function get(Obj : access BitSet_Obj;
        bit : Integer)
      return Boolean;

    procedure and_op(Obj : access BitSet_Obj;
        set : BitSet_Ptr);

    procedure or_op(Obj : access BitSet_Obj;
        set : BitSet_Ptr);

    procedure xor_op(Obj : access BitSet_Obj;
        set : BitSet_Ptr);

    function hashCode(Obj : access BitSet_Obj) return Integer;

    function size(Obj : access BitSet_Obj) return Integer;

    function "="(Left, Right : BitSet_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function clone(Obj : access BitSet_Obj) return Object_Ptr;

    function toString(Obj : access BitSet_Obj) return String_Ptr;

    pragma Import(Java, set);
    pragma Import(Java, clone);
    pragma Import(Java, and_op, "and");
    pragma Import(Java, size);
    pragma Import(Java, xor_op, "xor");
    pragma Import(Java, or_op, "or");
    pragma Import(Java, get);
    pragma Import(Java, hashCode);
    pragma Import(Java, clear);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_BitSet);

end java.util.BitSet;
