-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_DataInput.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:39 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
package java.io.DataInput is

    -- NOTE: DataInput is an "interface" type

    type DataInput_Obj is new Object with null record;
    pragma Convention(Java_Interface, DataInput_Obj);

    type DataInput_Ptr is access all DataInput_Obj'Class;

    procedure readFully(Obj : access DataInput_Obj;
        P1 : String);

    procedure readFully(Obj : access DataInput_Obj;
        P1 : String;
        P2 : Integer;
        P3 : Integer);

    function skipBytes(Obj : access DataInput_Obj;
        P1 : Integer)
      return Integer;

    function readBoolean(Obj : access DataInput_Obj) return Boolean;

    function readByte(Obj : access DataInput_Obj) return Character;

    function readUnsignedByte(Obj : access DataInput_Obj) return Integer;

    type Short_Integer is range -2**15 .. +2**15-1;

    function readShort(Obj : access DataInput_Obj) return Short_Integer;

    function readUnsignedShort(Obj : access DataInput_Obj) return Integer;

    function readChar(Obj : access DataInput_Obj) return Wide_Character;

    function readInt(Obj : access DataInput_Obj) return Integer;

    function readLong(Obj : access DataInput_Obj) return Long_Integer;

    function readFloat(Obj : access DataInput_Obj) return Float;

    function readDouble(Obj : access DataInput_Obj) return Long_Float;

    function readLine(Obj : access DataInput_Obj) return String_Ptr;

    function readUTF(Obj : access DataInput_Obj) return String_Ptr;

    pragma Import(Java, readBoolean);
    pragma Import(Java, readFully);
    pragma Import(Java, readInt);
    pragma Import(Java, readUnsignedShort);
    pragma Import(Java, readUnsignedByte);
    pragma Import(Java, readFloat);
    pragma Import(Java, readByte);
    pragma Import(Java, readLine);
    pragma Import(Java, readShort);
    pragma Import(Java, readChar);
    pragma Import(Java, readLong);
    pragma Import(Java, readUTF);
    pragma Import(Java, skipBytes);
    pragma Import(Java, readDouble);


end java.io.DataInput;
