-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_DataOutput.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:41 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
package java.io.DataOutput is

    -- NOTE: DataOutput is an "interface" type

    type DataOutput_Obj is new Object with null record;
    pragma Convention(Java_Interface, DataOutput_Obj);

    type DataOutput_Ptr is access all DataOutput_Obj'Class;

    procedure write(Obj : access DataOutput_Obj;
        P1 : Integer);

    procedure write(Obj : access DataOutput_Obj;
        P1 : String);

    procedure write(Obj : access DataOutput_Obj;
        P1 : String;
        P2 : Integer;
        P3 : Integer);

    procedure writeBoolean(Obj : access DataOutput_Obj;
        P1 : Boolean);

    procedure writeByte(Obj : access DataOutput_Obj;
        P1 : Integer);

    procedure writeShort(Obj : access DataOutput_Obj;
        P1 : Integer);

    procedure writeChar(Obj : access DataOutput_Obj;
        P1 : Integer);

    procedure writeInt(Obj : access DataOutput_Obj;
        P1 : Integer);

    procedure writeLong(Obj : access DataOutput_Obj;
        P1 : Long_Integer);

    procedure writeFloat(Obj : access DataOutput_Obj;
        P1 : Float);

    procedure writeDouble(Obj : access DataOutput_Obj;
        P1 : Long_Float);

    procedure writeBytes(Obj : access DataOutput_Obj;
        P1 : String_Ptr);

    procedure writeChars(Obj : access DataOutput_Obj;
        P1 : String_Ptr);

    procedure writeUTF(Obj : access DataOutput_Obj;
        P1 : String_Ptr);

    pragma Import(Java, writeBoolean);
    pragma Import(Java, writeUTF);
    pragma Import(Java, writeBytes);
    pragma Import(Java, writeDouble);
    pragma Import(Java, writeByte);
    pragma Import(Java, writeChars);
    pragma Import(Java, writeFloat);
    pragma Import(Java, writeChar);
    pragma Import(Java, write);
    pragma Import(Java, writeShort);
    pragma Import(Java, writeInt);
    pragma Import(Java, writeLong);


end java.io.DataOutput;
