-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_DirectColorModel.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:26:31 $ $Author: vdelvecc $ 
with java.awt.image; use java.awt.image.ColorModel;
package java.awt.image.DirectColorModel is

    type DirectColorModel_Obj is new ColorModel_Obj with null record;
    type DirectColorModel_Ptr is access all DirectColorModel_Obj'Class;

    function new_DirectColorModel(
        bits : Integer;
        rmask : Integer;
        gmask : Integer;
        bmask : Integer;
        Obj : DirectColorModel_Ptr := null)
      return DirectColorModel_Ptr;

    function new_DirectColorModel(
        bits : Integer;
        rmask : Integer;
        gmask : Integer;
        bmask : Integer;
        amask : Integer;
        Obj : DirectColorModel_Ptr := null)
      return DirectColorModel_Ptr;

    function getRedMask(Obj : access DirectColorModel_Obj) return Integer;

    function getGreenMask(Obj : access DirectColorModel_Obj) return Integer;

    function getBlueMask(Obj : access DirectColorModel_Obj) return Integer;

    function getAlphaMask(Obj : access DirectColorModel_Obj) return Integer;

    function getRed(Obj : access DirectColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getGreen(Obj : access DirectColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getBlue(Obj : access DirectColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getAlpha(Obj : access DirectColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getRGB(Obj : access DirectColorModel_Obj;
        pixel : Integer)
      return Integer;

    pragma Import(Java, getBlueMask);
    pragma Import(Java, getRedMask);
    pragma Import(Java, getAlpha);
    pragma Import(Java, getAlphaMask);
    pragma Import(Java, getGreen);
    pragma Import(Java, getRed);
    pragma Import(Java, getRGB);
    pragma Import(Java, getBlue);
    pragma Import(Java, getGreenMask);

    pragma Import(Java_Constructor, new_DirectColorModel);

end java.awt.image.DirectColorModel;
