-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_FilteredImageSource.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:26:32 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.image;
    use java.awt.image.ImageProducer;
    use java.awt.image.ImageConsumer;
with java.awt.image.ImageFilter; use java.awt.image.ImageFilter;
package java.awt.image.FilteredImageSource is

    type FilteredImageSource_Obj is new Object with record
        ImageProducer : aliased ImageProducer_Obj;  -- implements ImageProducer
    end record;
    type FilteredImageSource_Ptr is access all FilteredImageSource_Obj'Class;

    function new_FilteredImageSource(
        orig : ImageProducer_Ptr;
        imgf : ImageFilter_Ptr;
        Obj : FilteredImageSource_Ptr := null)
      return FilteredImageSource_Ptr;

    procedure addConsumer(Obj : access FilteredImageSource_Obj;
        ic : ImageConsumer_Ptr);

    function isConsumer(Obj : access FilteredImageSource_Obj;
        ic : ImageConsumer_Ptr)
      return Boolean;

    procedure removeConsumer(Obj : access FilteredImageSource_Obj;
        ic : ImageConsumer_Ptr);

    procedure startProduction(Obj : access FilteredImageSource_Obj;
        ic : ImageConsumer_Ptr);

    procedure requestTopDownLeftRightResend(Obj : access FilteredImageSource_Obj;
        ic : ImageConsumer_Ptr);

    pragma Import(Java, isConsumer);
    pragma Import(Java, addConsumer);
    pragma Import(Java, startProduction);
    pragma Import(Java, removeConsumer);
    pragma Import(Java, requestTopDownLeftRightResend);

    pragma Import(Java_Constructor, new_FilteredImageSource);

end java.awt.image.FilteredImageSource;
