-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_FlowLayout.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:47 $ $Author: stt $ 
with java.lang; use java.lang;
with java.awt.Component; use java.awt.Component;
with java.lang.String; use java.lang.String;
with java.awt.LayoutManager; use java.awt.LayoutManager;
with java.awt.Container; use java.awt.Container;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.FlowLayout is

    type FlowLayout_Obj is new Object with record
        LayoutManager : aliased LayoutManager_Obj;  -- implements LayoutManager
    end record;
    type FlowLayout_Ptr is access all FlowLayout_Obj'Class;

    LEFT : constant Integer;
    pragma Import(Java, LEFT);

    CENTER : constant Integer;
    pragma Import(Java, CENTER);

    RIGHT : constant Integer;
    pragma Import(Java, RIGHT);

    function new_FlowLayout(Obj : FlowLayout_Ptr := null) return FlowLayout_Ptr;

    function new_FlowLayout(
        align : Integer;
        Obj : FlowLayout_Ptr := null)
      return FlowLayout_Ptr;

    function new_FlowLayout(
        align : Integer;
        hgap : Integer;
        vgap : Integer;
        Obj : FlowLayout_Ptr := null)
      return FlowLayout_Ptr;

    procedure addLayoutComponent(Obj : access FlowLayout_Obj;
        name : String_Ptr;
        comp : Component_Ptr);

    procedure removeLayoutComponent(Obj : access FlowLayout_Obj;
        comp : Component_Ptr);

    function preferredLayoutSize(Obj : access FlowLayout_Obj;
        target : Container_Ptr)
      return Dimension_Ptr;

    function minimumLayoutSize(Obj : access FlowLayout_Obj;
        target : Container_Ptr)
      return Dimension_Ptr;

    procedure layoutContainer(Obj : access FlowLayout_Obj;
        target : Container_Ptr);

    function toString(Obj : access FlowLayout_Obj) return String_Ptr;

    pragma Import(Java, removeLayoutComponent);
    pragma Import(Java, layoutContainer);
    pragma Import(Java, preferredLayoutSize);
    pragma Import(Java, minimumLayoutSize);
    pragma Import(Java, toString);
    pragma Import(Java, addLayoutComponent);

    pragma Import(Java_Constructor, new_FlowLayout);

end java.awt.FlowLayout;
