-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_InputStream.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:13:15 $ $Author: stt $ 
with java.lang; use java.lang;
package java.io.InputStream is

    type InputStream_Obj is abstract new Object with null record;
    type InputStream_Ptr is access all InputStream_Obj'Class;

    function read(Obj : access InputStream_Obj) return Integer is abstract;

    function read(Obj : access InputStream_Obj;
        b : String)
      return Integer;

    function read(Obj : access InputStream_Obj;
        b : String;
        off : Integer;
        len : Integer)
      return Integer;

    function skip(Obj : access InputStream_Obj;
        n : Long_Integer)
      return Long_Integer;

    function available(Obj : access InputStream_Obj) return Integer;

    procedure close(Obj : access InputStream_Obj);

    procedure mark(Obj : access InputStream_Obj;
        readlimit : Integer);

    procedure reset(Obj : access InputStream_Obj);

    function markSupported(Obj : access InputStream_Obj) return Boolean;

    pragma Import(Java, reset);
    pragma Import(Java, skip);
    pragma Import(Java, close);
    pragma Import(Java, mark);
    pragma Import(Java, available);
    pragma Import(Java, read);
    pragma Import(Java, markSupported);

end java.io.InputStream;
