-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_Long.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:47 $ $Author: vdelvecc $ 
with java.lang.Number; use java.lang.Number;
with java.lang.String; use java.lang.String;
with java.lang; use java.lang;
package java.lang.Long is

    type Long_Obj is new Number_Obj with null record;
    type Long_Ptr is access all Long_Obj;

    MIN_VALUE : constant Long_Integer;
    pragma Import(Java, MIN_VALUE);

    MAX_VALUE : constant Long_Integer;
    pragma Import(Java, MAX_VALUE);

    function toString(
        i : Long_Integer;
        P2 : Integer)
      return String_Ptr;

    function toString(
        i : Long_Integer)
      return String_Ptr;

    function parseLong(
        s : String_Ptr;
        radix : Integer)
      return Long_Integer;

    function parseLong(
        s : String_Ptr)
      return Long_Integer;

    function valueOf(
        s : String_Ptr;
        radix : Integer)
      return Long_Ptr;

    function valueOf(
        s : String_Ptr)
      return Long_Ptr;

    function new_Long(
        value : Long_Integer)
      return Long_Ptr;

    function new_Long(
        s : String_Ptr)
      return Long_Ptr;

    function intValue(Obj : access Long_Obj) return Integer;

    function longValue(Obj : access Long_Obj) return Long_Integer;

    function floatValue(Obj : access Long_Obj) return Float;

    function doubleValue(Obj : access Long_Obj) return Long_Float;

    function toString(Obj : access Long_Obj) return String_Ptr;

    function hashCode(Obj : access Long_Obj) return Integer;

    function "="(Left, Right : Long_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function getLong(
        nm : String_Ptr)
      return Long_Ptr;

    function getLong(
        nm : String_Ptr;
        val : Long_Integer)
      return Long_Ptr;

    function getLong(
        nm : String_Ptr;
        val : Long_Ptr)
      return Long_Ptr;

    pragma Import(Java, longValue);
    pragma Import(Java, valueOf);
    pragma Import(Java, floatValue);
    pragma Import(Java, doubleValue);
    pragma Import(Java, intValue);
    pragma Import(Java, hashCode);
    pragma Import(Java, parseLong);
    pragma Import(Java, getLong);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Long);

end java.lang.Long;
