-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_MenuBar.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:04:00 $ $Author: stt $ 
with java.awt.MenuComponent; use java.awt.MenuComponent;
with java.awt.Menu; use java.awt.Menu;
with java.awt.MenuContainer; use java.awt.MenuContainer;
package java.awt.MenuBar is

    type MenuBar_Obj is new MenuComponent_Obj with record
        MenuContainer : aliased MenuContainer_Obj;  -- implements MenuContainer
    end record;
    type MenuBar_Ptr is access all MenuBar_Obj'Class;

    function new_MenuBar(Obj : MenuBar_Ptr := null) return MenuBar_Ptr;

    procedure addNotify(Obj : access MenuBar_Obj);

    procedure removeNotify(Obj : access MenuBar_Obj);

    function getHelpMenu(Obj : access MenuBar_Obj) return Menu_Ptr;

    procedure setHelpMenu(Obj : access MenuBar_Obj;
        m : Menu_Ptr);

    function add(Obj : access MenuBar_Obj;
        m : Menu_Ptr)
      return Menu_Ptr;

    procedure remove(Obj : access MenuBar_Obj;
        index : Integer);

    procedure remove(Obj : access MenuBar_Obj;
        m : MenuComponent_Ptr);

    function countMenus(Obj : access MenuBar_Obj) return Integer;

    function getMenu(Obj : access MenuBar_Obj;
        i : Integer)
      return Menu_Ptr;

    pragma Import(Java, setHelpMenu);
    pragma Import(Java, removeNotify);
    pragma Import(Java, add);
    pragma Import(Java, addNotify);
    pragma Import(Java, remove);
    pragma Import(Java, getHelpMenu);
    pragma Import(Java, getMenu);
    pragma Import(Java, countMenus);

    pragma Import(Java_Constructor, new_MenuBar);

end java.awt.MenuBar;
