-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_Stack.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:14:37 $ $Author: stt $ 
with java.util.Vector; use java.util.Vector;
with java.lang; use java.lang;
package java.util.Stack is

    type Stack_Obj is new Vector_Obj with null record;
    type Stack_Ptr is access all Stack_Obj'Class;

    function push(Obj : access Stack_Obj;
        item : Object_Ptr)
      return Object_Ptr;

    function pop(Obj : access Stack_Obj) return Object_Ptr;

    function peek(Obj : access Stack_Obj) return Object_Ptr;

    function empty(Obj : access Stack_Obj) return Boolean;

    function search(Obj : access Stack_Obj;
        o : Object_Ptr)
      return Integer;

    function new_Stack(Obj : Stack_Ptr := null) return Stack_Ptr;

    pragma Import(Java, pop);
    pragma Import(Java, search);
    pragma Import(Java, push);
    pragma Import(Java, peek);
    pragma Import(Java, empty);

    pragma Import(Java_Constructor, new_Stack);

end java.util.Stack;
