package body UNSIGNED is

   type DWORD is mod 2**32;

   function LSB (W: WORD) return BYTE is
   begin
      return BYTE(W and 16#ff#);
   end LSB;
   
   function MSB (W: WORD) return BYTE is
   begin
      return BYTE(SHR(W,8));
   end MSB;
   
   function MAKE_WORD (MSB: BYTE; LSB: BYTE) return WORD is
   begin
      return SHL(WORD(MSB),8) or WORD(LSB);
   end MAKE_WORD;
      
   function "+" (OPR: INTEGER_32) return WORD is
      function CONV is new UNCHECKED_CONVERSION (INTEGER_32, DWORD);
   begin
      return WORD(CONV(OPR) and 16#FFFF#);
   end "+";

   function "+" (OPR: INTEGER_16) return BYTE is
      function CONV is new UNCHECKED_CONVERSION (INTEGER_16, WORD);
   begin
      return BYTE(CONV(OPR) and 16#FF#);
   end "+";

end UNSIGNED;
