-- ***************************************************************************
-- *                        String_Tests.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Some simple tests of the Ada fixed string type.
-- * Inputs:  None.
-- * Outputs: This example does not compile.
-- ***************************************************************************

procedure String_Tests is

   Legal     : String(1 .. 30);
   Illegal   : String;

   Name_1    : String := "Simon";
   Name_2    : String := ('J', 'o', 'h', 'n', 's', 't', 'o', 'n');
  
   Full_Name : String := Name_1 & " " & Name_2;
 
   Blank     : String(1 .. 30) := (others => ' ');
begin
   Legal := Blank;

   Legal(1 .. 5) := Name_1;

   Legal(Name_1'First .. Name_1'Last) := Name_1;
end String_Tests;
