-- ***************************************************************************
-- *                         Sort_Test1.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This sorts an array of integer values using the our bubble
-- *    sort example.
-- * Inputs:  None.
-- * Outputs: Prints the array of integers in order, we hope.
-- ***************************************************************************

with Bubble_Sort;
with Ada.Text_IO;

procedure Sort_Test1 is

   subtype Index    is Positive     range 1 .. 10;
   type    An_Array is array (Index range <>) of Integer;

   procedure Test_Sort is new Bubble_Sort(Index, 
                                          Integer,
                                          An_Array, 
                                          ">");

   Sort_This : An_Array := (5, 6, 7, 1, 3, 2, 4, 10, 9, 8);
begin
   Test_Sort(Sort_This);

   for Item in Sort_This'Range loop
      Ada.Text_IO.Put(Integer'Image(Sort_This(Item)));
   end loop;
end Sort_Test1;
