-- ***************************************************************************
-- *                         Animal-Cat.ads 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This type is derived from the Animal type introduced in 
-- *    example 6.2
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************
package Animal.Cat is
   type Instance is new Animal.Instance with private;

   procedure Make_A_Sound(Cat : in Animal.Instance'Class);

   function  Class_Name return String;

private
   type Instance is new Animal.Instance with
      record
         Likes_Water : Boolean := False;
      end record;

   Private_Class_Name : constant String := "Cat";
end Animal.Cat;

