-- ***************************************************************************
-- *                         List_Test.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This demonstrates the use of 'Class with dynamic instances.
-- * Inputs:  None.
-- * Outputs: This test will only compile if used with the list example from
-- *    the case study Ada_Store.
-- ***************************************************************************

with Ada_Store.Support.List;

procedure List_Test is

   type    Object  is tagged null record;
   subtype O_Class is Object'Class;

   package Object_List is new Ada_Store.Support.List(O_Class);
   type List_Ptr is access Object_List.Instance;

   List : List_Ptr := new Object_List.Instance;

begin
   -- put items into list.

   loop
      declare
         An_Object : O_Class := Get(List);
      begin
         -- Process An_Object.
         null;
      end ;
   end loop;
end List_Test;
