-- ***************************************************************************
-- *                         Test1.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This example tests the animal types introduced so far.
-- * Inputs:  None.
-- * Outputs: This example does not compile.
-- ***************************************************************************

with Animal;
with Animal.Cat;
with Animal.Dog;

procedure Test1 is
   type Animal_Ptr is access all Animal.Instance;

   Ptr       : Animal_Ptr;
   An_Animal : Animal.Instance;
   A_Cat     : Animal.Cat.Instance;
   A_Dog     : Animal.Dog.Instance;
begin

   Ptr := An_Animal'Access;              -- perfectly legal.
   Ptr := Animal.Instance(A_Cat)'Access; -- illegal.
   Ptr := Animal.Instance(A_Dog)'Access; -- legal.
end Test1;
