package body Card_Pack is

   procedure Shuffle(The_Pack : in out Pack) is
   begin
      The_Pack.All_Cards := (others => False);
      The_Pack.Drawn     := 0;
      Random_Card.Reset(The_Pack.Gen);
   end Shuffle;

   procedure Draw(The_Pack : in out Pack;
                  The_Suit :    out Suits;
                  The_Card :    out Cards) is
      The_Index : Index;
   begin
     if The_Pack.Drawn = 52 then
        raise Pack_Empty;
     end if;

     loop
	    The_Index := Random_Card.Random(The_Pack.Gen);

	    if The_Pack.All_Cards(The_Index) = False then

	       The_Pack.All_Cards(The_Index) := True;
	       The_Suit := Suits'Val(The_Index mod 13 + 1);
	       The_Card := Cards(The_Index / 13);

            The_Pack.Drawn := The_Pack.Drawn + 1;
            exit;
	    end if;
      end loop;
   end Draw;

end Card_Pack;
