--[cat.adb] Procedure
WITH Ada.Text_io, Ada.Command_line;
USE  Ada.Text_io, Ada.Command_line;
PROCEDURE main240 IS
  fd  : Ada.Text_io.File_type;          -- File descriptor
  ch  : Character;                      -- Current character
BEGIN
  IF argument_count >= 1 THEN
    FOR i IN 1 .. argument_count LOOP   -- Repeat for each file
      BEGIN
        open( File=>fd, Mode=>IN_FILE,  -- Open file
              Name=>argument(i) );
        put("@@ "); put( argument(i) );
        put(" @@"); new_line;
        WHILE NOT end_of_file(fd) LOOP  -- For each Line
          put("+");                     -- Marker
          WHILE NOT end_of_line(fd) LOOP-- For each character
            get(fd,ch); put(ch);        -- Read / Write character
          END LOOP;
          skip_line(fd); new_line;      -- Next line / new line
        END LOOP;
        close(fd);                      -- Close file
      EXCEPTION
        WHEN Name_error =>
          put("arch: " & argument(i) & " no such file" );
          new_line;
        WHEN Status_error =>
          put("arch: " & argument(i) & " all ready open" );
          new_line;
      END;
    END LOOP;
  ELSE
    put("Usage: arch file1 ... "); new_line;
  END IF;
END main240;
