with Win32.Utils;
package body Windows.Child_Routines is
  function About_Dialog
    (Dialog_Handle : Win32.Windef.Hwnd;
     Message       : Win32.Uint;
     Wparam        : Win32.Wparam;
     Lparam        : Win32.Lparam) return Win32.Bool is

    True        : constant Win32.Bool := 1;

    False       : constant Win32.Bool := 0;
 
    Bool_Result : Win32.Bool;

  begin

    case
      Message is

      when
        Win32.Winuser.Wm_Initdialog =>
       
        return
          True;

      when
        Win32.Winuser.Wm_Command    =>

        case
          Win32.Int
            (Win32.Utils.Loword
              (Win32.Dword
                (Wparam))) is
         
          when
            Win32.Winuser.Idok     =>
       
            Bool_Result :=
              Win32.Winuser.Enddialog
                (Hdlg    =>
                  Dialog_Handle,
                 Nresult =>
                  1);

            return
              True;

          when
            others =>

            return
              False;

        end case;

      when
        others =>

        return
          False;

    end case;      

    return
      False;

  end About_Dialog;

end Windows.Child_Routines;

