-- Filename: bezier.ads
--
-- This is the conversion of Petzold's Win 95
-- Chapter 4 program bezier.  This file contains
-- the data structures needed for this program.
-- 
-- with Ada.Numerics.Generic_Elementary_Functions;

with Win32;
with Win32.Windef;

package Bezier is

   Client_Width  : Win32.Int;
   Client_Height : Win32.Int;

   type Bezier_Points_Type is array (Win32.Int range 0..3)
                             of aliased Win32.Windef.Point;
   Bezier_Points : Bezier_Points_Type;

end Bezier;
