with Interfaces.C.Strings;
with System;
with Win32.Windef;
with Win32.Wingdi;
with Win32.Winuser;
package Windows.Data is
   use type Win32.Uint;
   use type Win32.Dword;

   Caption : constant Interfaces.C.Strings.Chars_Ptr := 
     Interfaces.C.Strings.New_String
       (Str =>
         "Button Look");

   Class_Name: constant Interfaces.C.Strings.Chars_Ptr := 
     Interfaces.C.Strings.New_String
       (Str =>
         "BtnLook");

   Window_Handle : Win32.Windef.Hwnd;            -- our main window handle

   Window_Class_Style : constant Win32.Uint := 
     Win32.Winuser.Cs_Hredraw or 
     Win32.Winuser.Cs_Vredraw;

   Window_Class_CbClsExtra : constant Win32.Int := 0;

   Window_Class_CbWndExtra : constant Win32.Int := 0;

   Window_Class_Icon : constant Win32.Windef.Hicon :=
     Win32.Winuser.Loadicon
     (Hinstance => System.Null_Address,
      Lpiconname => Win32.Lpcstr
      (Win32.Winuser.Idi_Application));

   Window_Class_Cursor : constant Win32.Windef.Hcursor :=
      Win32.Winuser.Loadcursor
     (Hinstance => System.Null_Address,
      Lpcursorname => Win32.Lpcstr
      (Win32.Winuser.Idc_Arrow));

   Window_Class_Background : constant Win32.Windef.Hbrush := 
     Win32.Wingdi.Getstockobject
     (Fnobject => Win32.Wingdi.White_Brush);

   Window_Class_Menu_Name : constant Win32.Lpcstr := null;

   Window_Style : constant Win32.Dword := 
     Win32.Winuser.Ws_Overlappedwindow;

   Window_Vertical_Start : constant Win32.Int := 
     Win32.Winuser.Cw_Usedefault;

   Window_Horizontal_Start : constant Win32.Int := 
     Win32.Winuser.Cw_Usedefault;

   Window_Width : constant Win32.Int := 
     Win32.Winuser.Cw_Usedefault;

   Window_Height : constant Win32.Int := 
     Win32.Winuser.Cw_Usedefault;

   Window_Parent : constant Win32.Windef.Hwnd := 
     System.Null_Address;

   Window_menu   : constant win32.Windef.Hmenu := 
     System.Null_Address;

   Window_Parameters : constant Win32.Lpvoid := 
     System.Null_Address;

   Message_Filter_Minimum : constant Win32.Uint := 0;

   Message_Filter_Maximum : constant Win32.Uint := 0;

 end Windows.Data;
