# $Source: /home/harp/1/proto/monoBANK/winnt/gdidemo.mak,v $ 
# $Revision: 1.3 $ $Date: 96/09/04 10:41:58 $ $Author: mg $ 

#OBJS should include all .ali, .obj, and .res files in the final link
#     Note that the main .ali file must have the same name as the
#     target .exe file in order for the inference rule to work. 
OBJS=gdidemo.ali

ALIS= bounce.ali convert.ali dialog.ali draw.ali gdidemo_util.ali \
      init.ali maze.ali poly.ali wininfo.ali xform.ali

all : gdidemo.exe

include ..\MakeSamples.txt

gdidemo.exe : $(ALIS) $(OBJS) 
	$(GNATBL) $(GNATBL_FLAGS) $(OBJS) -o $@

#Dependencies from "withs"  (the compilation command is inferred)
#Use .obj as the dependent if the package has a .obj, otherwise use .ads
#DONT specify its own .obj as a dependent

bounce.ali: bounce.ads bounce.adb gdidemo_util.ads

convert.ali: convert.ads convert.adb

dialog.ali: dialog.ads dialog.adb gdidemo_util.ads

draw.ali: draw.ads draw.adb gdidemo_util.ads

gdidemo.ali: gdidemo.adb

gdidemo_util.ali: gdidemo_util.ads gdidemo_util.adb

init.ali: init.ads init.adb gdidemo_util.ads

maze.ali: maze.ads maze.adb gdidemo_util.ads

poly.ali: poly.ads poly.adb gdidemo_util.ads

wininfo.ali: wininfo.ads wininfo.adb

xform.ali: xform.ads xform.adb gdidemo_util.ads
