-- $Source: /home/harp/1/proto/monoBANK/winnt/generic_pkg.ads,v $ 
-- $Revision: 1.6 $ $Date: 96/09/04 08:00:01 $ $Author: mg $ 


with Ada.Unchecked_Conversion;
with Win32;
with Win32.Windef;
with Win32.Winuser;

package Generic_Pkg is


    function CP(C_Str: Win32.CHAR_Array) return Win32.LPCSTR;

    function LPCSTR_To_DWORD is new 
        Ada.Unchecked_Conversion(Win32.LPCSTR,Win32.DWORD);


    bResult     : Win32.BOOL;
    iResult     : Win32.INT;

    HINST       : Win32.Windef.HINSTANCE;        -- current instance
    SZAPPNAME   : Win32.LPCSTR;                  -- the name of app

	

    -- aliased for function CenterWindow
    rChild  : aliased Win32.Windef.RECT;
    rParent : aliased Win32.Windef.RECT;

    -- aliased for function InitApplication
    wc      : aliased Win32.Winuser.WNDCLASS;


    function About(hDlg    : Win32.Windef.HWND;
                   MESSAGE : Win32.UINT;
                   WPARAM  : Win32.WPARAM;
	               LPARAM  : Win32.LPARAM) return Win32.BOOL;
    pragma Convention (Stdcall, About);

    function WndProc(HWND    : Win32.Windef.HWND;
                     MESSAGE : Win32.UINT;
                     WPARAM  : Win32.WPARAM;
                     LPARAM  : Win32.LPARAM) return Win32.LRESULT;
    pragma Convention (Stdcall, WndProc);

-------------------------------------------------------------------------------
--
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED WITHOUT CHARGE
-- "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING
-- BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR
-- FITNESS FOR A PARTICULAR PURPOSE.  The user assumes the entire risk as to
-- the accuracy and the use of this file.  This file may be used, copied,
-- modified and distributed only by licensees of Microsoft Corporation's
-- WIN32 Software Development Kit in accordance with the terms of the 
-- licensee's End-User License Agreement for Microsoft Software for the
-- WIN32 Development Kit.
--
-- Copyright (c) Intermetrics, Inc. 1995
-- Portions (c) 1985-1994 Microsoft Corporation with permission.
-- Microsoft is a registered trademark and Windows and Windows NT are
-- trademarks of Microsoft Corporation.
--
-------------------------------------------------------------------------------

end Generic_Pkg;

