# $Source: /home/harp/1/proto/monoBANK/winnt/pcx.mak,v $ 
# $Revision: 1.3 $ $Date: 96/09/04 10:42:04 $ $Author: mg $ 

#OBJS should include all .ali, .obj, and .res files in the final link
#     Note that the main .ali file must have the same name as the
#     target .exe file in order for the inference rule to work. 
OBJS=pcx.ali pcx.rbj scale.obj

DEPENDS_ON=pcx.ali pcx.rbj file.ali pcxchild.ali pcxops.ali \
           scale.obj aliaspkg.ali

all: pcx.exe

include ..\MakeSamples.txt

pcx.exe: $(DEPENDS_ON)
	$(GNATBL) $(GNATBL_FLAGS) $(OBJS) -o $@


#Dependencies from "withs"  (the compilation command is inferred)
#Use .obj as the dependent if the package has a .obj, otherwise use .ads
#DONT specify its own .obj as a dependent

aliaspkg.ali: aliaspkg.ads aliaspkg.adb

file.ali: file.ads file.adb 

pcx.ali: file.ads pcx.adb pcxchild.ads

pcx.rbj: pcx.rc pcx.rcv pcx.dlg pcx.h
# requires msvc
#
#	$(RC) -r -DWIN32 -fo pcx.tmp pcx.rc
#	cvtres -i386 pcx.tmp -o pcx.rbj
#	del pcx.tmp

pcxchild.ali: pcxchild.ads pcxchild.adb pcxops.ads

pcxops.ali: pcxchild.ads pcxops.ads pcxops.adb

scale.obj: scale.s
	$(GCC) $(GCC_FLAGS) scale.s
