-- $Source: /home/harp/1/proto/monoBANK/winnt/pcxchild.ads,v $ 
-- $Revision: 1.6 $ $Date: 96/09/04 08:00:26 $ $Author: mg $ 
-- $Id: pcxchild.ads 1.2 1995/01/24 14:44:12 mps Exp mps $
--
-- This package manages the child windows created under the pcx program.


with Interfaces.C;
with Win32.WinDef;


package PcxChild is 

    function CP(S: Win32.CHAR_Array) return Win32.LPCSTR;-- utility function


    use Win32;   -- to get "&"
    id_childbase : constant := 500;
    max_images   : constant := 5;   -- max number of windows created

    childname    : aliased constant Win32.CHAR_Array := "pcxchild" & Nul;
    SZCHILDNAME  : Win32.LPCSTR;
    NUM_CHILDREN : Win32.INT;       -- number of child windows created



    function ChildWndProc(HWND    : Win32.WinDef.HWND;
			  MESSAGE : Win32.UINT;
			  WPARAM  : Win32.WPARAM;
			  LPARAM  : Win32.LPARAM) return Win32.LRESULT;
    pragma Convention(Stdcall, ChildWndProc);

    function CreateWindow(HINST         : Win32.WinDef.HINSTANCE;
			  PARENT_HWND   : Win32.WinDef.HWND;
			  CREATE_SIZE_X : Win32.INT;
			  CREATE_SIZE_Y : Win32.INT;
			  TITLE         : Win32.LPCSTR) 
			                   return Win32.WinDef.HWND;

-------------------------------------------------------------------------------
--
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED WITHOUT CHARGE
-- "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING
-- BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR
-- FITNESS FOR A PARTICULAR PURPOSE.  The user assumes the entire risk as to
-- the accuracy and the use of this file.  This file may be used, copied,
-- modified and distributed only by licensees of Microsoft Corporation's
-- WIN32 Software Development Kit in accordance with the terms of the 
-- licensee's End-User License Agreement for Microsoft Software for the
-- WIN32 Development Kit.
--
-- Copyright (c) Intermetrics, Inc. 1995
-- Portions (c) 1985-1994 Microsoft Corporation with permission.
-- Microsoft is a registered trademark and Windows and Windows NT are
-- trademarks of Microsoft Corporation.
--
-------------------------------------------------------------------------------

end PcxChild;
