-- $Source: /home/harp/1/proto/monoBANK/winnt/win32-crt-assert.ads,v $ 
-- $Revision: 1.1 $ $Date: 96/09/06 14:16:33 $ $Author: mg $ 
-- See end of file for Copyright (c) information.

package Win32.crt.Assert is

    -- to turn off assertions, make this False, or make
    -- it a variable and change it during program execution.
    DEBUG: constant Boolean := Standard.True;

    procedure Assert (
        Condition   : Boolean;
        Message     : String := "(no message)";
        Source_File : String := "(no source file)";
        Line_Number : Natural := 0);

    pragma Inline(Assert);

-------------------------------------------------------------------------------
--
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR 
-- PURPOSE.  The user assumes the entire risk as to the accuracy and the 
-- use of this file.
--
-- Copyright (c) Intermetrics, Inc. 1995
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted.
--
-------------------------------------------------------------------------------

end Win32.crt.Assert;
