-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.streams.spc,v $ 
-- $Revision: 1.3 $ $Date: 95/10/10 13:32:41 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

-- RM5.0; 13.13.1

pragma ada_child;
package Ada.Streams is
    pragma Suppress( Elaboration_Check );
    pragma Pure(Streams);

    type Root_Stream_Type is abstract tagged limited private;

    type Stream_Element is mod 2**Character'Size;  

    type Stream_Element_Offset is range Integer'First .. Integer'Last;

    subtype Stream_Element_Count is
        Stream_Element_Offset range 0..Stream_Element_Offset'Last;

    type Stream_Element_Array is
        array(Stream_Element_Offset range <>) of Stream_Element;
    -- *** TBD *** -- pragma Pack(Stream_Element_Array);

    procedure Read(
      Stream : in out Root_Stream_Type;
      Item   : out Stream_Element_Array;
      Last   : out Stream_Element_Offset) is abstract;

    procedure Write(
      Stream : in out Root_Stream_Type;
      Item   : in Stream_Element_Array) is abstract;

private

    type Root_Stream_Type is abstract tagged limited null record;

end Ada.Streams;
