-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.tags.spc,v $ 
-- $Revision: 1.3 $ $Date: 96/04/24 14:08:55 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

pragma ada_child;
package Ada.Tags is
    pragma Suppress( Elaboration_Check );

    type Tag is private;
    
    function Expanded_Name(T : Tag) return String;
    pragma Export(Ada, Expanded_Name, "expanded_name");
    pragma Global(Expanded_Name);
    
    function External_Tag(T : Tag) return String;
    pragma Export(Ada, External_Tag, "external_tag");
    pragma Global(External_Tag);

    function Internal_Tag(External : String) return Tag;
    pragma Export(Ada, Internal_Tag, "internal_tag");
    pragma Global(Internal_Tag);
    
    Tag_Error : exception;
    
private

    type Tag_Type_Descriptor;
    type Tag is access Tag_Type_Descriptor;

end Ada.Tags;
