-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_Character.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:38 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.lang; use java.lang;
package java.lang.Character is

    type Character_Obj is tagged limited null record;
    type Character_Ptr is access all Character_Obj;

    MIN_RADIX : constant Integer;
    pragma Import(Java, MIN_RADIX);

    MAX_RADIX : constant Integer;
    pragma Import(Java, MAX_RADIX);

    function isLowerCase(
        ch : Wide_Character)
      return Boolean;

    function isUpperCase(
        ch : Wide_Character)
      return Boolean;

    function isDigit(
        ch : Wide_Character)
      return Boolean;

    function isSpace(
        ch : Wide_Character)
      return Boolean;

    function toLowerCase(
        ch : Wide_Character)
      return Wide_Character;

    function toUpperCase(
        ch : Wide_Character)
      return Wide_Character;

    function digit(
        ch : Wide_Character;
        radix : Integer)
      return Integer;

    function forDigit(
        digit : Integer;
        radix : Integer)
      return Wide_Character;

    function new_Character(
        value : Wide_Character)
      return Character_Ptr;

    function charValue(Obj : access Character_Obj) return Wide_Character;

    function hashCode(Obj : access Character_Obj) return Integer;

    function "="(Left, Right : Character_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function toString(Obj : access Character_Obj) return String_Ptr;

    pragma Import(Java, isLowerCase);
    pragma Import(Java, toLowerCase);
    pragma Import(Java, charValue);
    pragma Import(Java, isSpace);
    pragma Import(Java, hashCode);
    pragma Import(Java, isUpperCase);
    pragma Import(Java, toUpperCase);
    pragma Import(Java, isDigit);
    pragma Import(Java, digit);
    pragma Import(Java, toString);
    pragma Import(Java, forDigit);

    pragma Import(Java_Constructor, new_Character);

end java.lang.Character;
