-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_ContentHandlerFactory.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:30:46 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
with java.net.ContentHandler; use java.net.ContentHandler;
package java.net.ContentHandlerFactory is

    -- NOTE: ContentHandlerFactory is an "interface" type

    type ContentHandlerFactory_Obj is new Object with null record;
    pragma Convention(Java_Interface, ContentHandlerFactory_Obj);

    type ContentHandlerFactory_Ptr is access all ContentHandlerFactory_Obj'Class;

    function createContentHandler(Obj : access ContentHandlerFactory_Obj;
        P1 : String_Ptr)
      return ContentHandler_Ptr;

    pragma Import(Java, createContentHandler);

    -- This is actually a (static) method of URLConnection

    procedure setContentHandlerFactory(
        fac : ContentHandlerFactory_Ptr);

    pragma Import(Java, setContentHandlerFactory,
      "java/net/URLConnection.setContentHandlerFactory");

end java.net.ContentHandlerFactory;
