-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_DataInputStream.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:40 $ $Author: vdelvecc $ 
with java.io.FilterInputStream; use java.io.FilterInputStream;
with java.lang.String; use java.lang.String;
with java.io.DataInput; use java.io.DataInput;
with java.io.InputStream; use java.io.InputStream;
package java.io.DataInputStream is

    type DataInputStream_Obj is new FilterInputStream_Obj with record
        DataInput : aliased DataInput_Obj;  -- implements DataInput
    end record;
    type DataInputStream_Ptr is access all DataInputStream_Obj'Class;

    function new_DataInputStream(
        stdin : InputStream_Ptr;
        Obj : DataInputStream_Ptr := null)
      return DataInputStream_Ptr;

    function read(Obj : access DataInputStream_Obj;
        b : String)
      return Integer;

    function read(Obj : access DataInputStream_Obj;
        b : String;
        off : Integer;
        len : Integer)
      return Integer;

    procedure readFully(Obj : access DataInputStream_Obj;
        b : String);

    procedure readFully(Obj : access DataInputStream_Obj;
        b : String;
        off : Integer;
        len : Integer);

    function skipBytes(Obj : access DataInputStream_Obj;
        n : Integer)
      return Integer;

    function readBoolean(Obj : access DataInputStream_Obj) return Boolean;

    function readByte(Obj : access DataInputStream_Obj) return Character;

    function readUnsignedByte(Obj : access DataInputStream_Obj) return Integer;

    function readShort(Obj : access DataInputStream_Obj) return Short_Integer;

    function readUnsignedShort(Obj : access DataInputStream_Obj) return Integer;

    function readChar(Obj : access DataInputStream_Obj) return Wide_Character;

    function readInt(Obj : access DataInputStream_Obj) return Integer;

    function readLong(Obj : access DataInputStream_Obj) return Long_Integer;

    function readFloat(Obj : access DataInputStream_Obj) return Float;

    function readDouble(Obj : access DataInputStream_Obj) return Long_Float;

    function readLine(Obj : access DataInputStream_Obj) return String_Ptr;

    function readUTF(Obj : access DataInputStream_Obj) return String_Ptr;

    function readUTF(
        stdin : DataInput_Ptr)
      return String_Ptr;

    pragma Import(Java, readBoolean);
    pragma Import(Java, readFully);
    pragma Import(Java, readInt);
    pragma Import(Java, readUnsignedShort);
    pragma Import(Java, readUnsignedByte);
    pragma Import(Java, readFloat);
    pragma Import(Java, readByte);
    pragma Import(Java, readLine);
    pragma Import(Java, readShort);
    pragma Import(Java, readChar);
    pragma Import(Java, read);
    pragma Import(Java, readLong);
    pragma Import(Java, readUTF);
    pragma Import(Java, skipBytes);
    pragma Import(Java, readDouble);

    pragma Import(Java_Constructor, new_DataInputStream);

end java.io.DataInputStream;
