-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_DataOutputStream.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:42 $ $Author: vdelvecc $ 
with java.io.FilterOutputStream; use java.io.FilterOutputStream;
with java.lang.String; use java.lang.String;
with java.io.OutputStream; use java.io.OutputStream;
with java.io.DataOutput; use java.io.DataOutput;
package java.io.DataOutputStream is

    type DataOutputStream_Obj is new FilterOutputStream_Obj with record
        DataOutput : aliased DataOutput_Obj;  -- implements DataOutput
    end record;
    type DataOutputStream_Ptr is access all DataOutputStream_Obj'Class;

    function new_DataOutputStream(
        stdout : OutputStream_Ptr;
        Obj : DataOutputStream_Ptr := null)
      return DataOutputStream_Ptr;

    procedure write(Obj : access DataOutputStream_Obj;
        b : Integer);

    procedure write(Obj : access DataOutputStream_Obj;
        b : String;
        off : Integer;
        len : Integer);

    procedure flush(Obj : access DataOutputStream_Obj);

    procedure writeBoolean(Obj : access DataOutputStream_Obj;
        v : Boolean);

    procedure writeByte(Obj : access DataOutputStream_Obj;
        v : Integer);

    procedure writeShort(Obj : access DataOutputStream_Obj;
        v : Integer);

    procedure writeChar(Obj : access DataOutputStream_Obj;
        v : Integer);

    procedure writeInt(Obj : access DataOutputStream_Obj;
        v : Integer);

    procedure writeLong(Obj : access DataOutputStream_Obj;
        v : Long_Integer);

    procedure writeFloat(Obj : access DataOutputStream_Obj;
        v : Float);

    procedure writeDouble(Obj : access DataOutputStream_Obj;
        v : Long_Float);

    procedure writeBytes(Obj : access DataOutputStream_Obj;
        s : String_Ptr);

    procedure writeChars(Obj : access DataOutputStream_Obj;
        s : String_Ptr);

    procedure writeUTF(Obj : access DataOutputStream_Obj;
        str : String_Ptr);

    function size(Obj : access DataOutputStream_Obj) return Integer;

    pragma Import(Java, flush);
    pragma Import(Java, writeBoolean);
    pragma Import(Java, writeUTF);
    pragma Import(Java, writeBytes);
    pragma Import(Java, size);
    pragma Import(Java, writeDouble);
    pragma Import(Java, writeByte);
    pragma Import(Java, writeChars);
    pragma Import(Java, writeFloat);
    pragma Import(Java, writeChar);
    pragma Import(Java, write);
    pragma Import(Java, writeShort);
    pragma Import(Java, writeInt);
    pragma Import(Java, writeLong);

    pragma Import(Java_Constructor, new_DataOutputStream);

end java.io.DataOutputStream;
