-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_Date.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:14:27 $ $Author: stt $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
package java.util.Date is

    type Date_Obj is new Object with null record;
    type Date_Ptr is access all Date_Obj'Class;

    function new_Date(Obj : Date_Ptr := null) return Date_Ptr;

    function new_Date(
        date : Long_Integer;
        Obj : Date_Ptr := null)
      return Date_Ptr;

    function new_Date(
        year : Integer;
        month : Integer;
        date : Integer;
        Obj : Date_Ptr := null)
      return Date_Ptr;

    function new_Date(
        year : Integer;
        month : Integer;
        date : Integer;
        hrs : Integer;
        min : Integer;
        Obj : Date_Ptr := null)
      return Date_Ptr;

    function new_Date(
        year : Integer;
        month : Integer;
        date : Integer;
        hrs : Integer;
        min : Integer;
        sec : Integer;
        Obj : Date_Ptr := null)
      return Date_Ptr;

    function new_Date(
        s : String_Ptr;
        Obj : Date_Ptr := null)
      return Date_Ptr;

    function UTC(
        year : Integer;
        month : Integer;
        date : Integer;
        hrs : Integer;
        min : Integer;
        sec : Integer)
      return Long_Integer;

    function parse(
        s : String_Ptr)
      return Long_Integer;

    function getYear(Obj : access Date_Obj) return Integer;

    procedure setYear(Obj : access Date_Obj;
        year : Integer);

    function getMonth(Obj : access Date_Obj) return Integer;

    procedure setMonth(Obj : access Date_Obj;
        month : Integer);

    function getDate(Obj : access Date_Obj) return Integer;

    procedure setDate(Obj : access Date_Obj;
        date : Integer);

    function getDay(Obj : access Date_Obj) return Integer;

    function getHours(Obj : access Date_Obj) return Integer;

    procedure setHours(Obj : access Date_Obj;
        hours : Integer);

    function getMinutes(Obj : access Date_Obj) return Integer;

    procedure setMinutes(Obj : access Date_Obj;
        minutes : Integer);

    function getSeconds(Obj : access Date_Obj) return Integer;

    procedure setSeconds(Obj : access Date_Obj;
        seconds : Integer);

    function getTime(Obj : access Date_Obj) return Long_Integer;

    procedure setTime(Obj : access Date_Obj;
        time : Long_Integer);

    function before(Obj : access Date_Obj;
        when_op : Date_Ptr)
      return Boolean;

    function after(Obj : access Date_Obj;
        when_op : Date_Ptr)
      return Boolean;

    function "="(Left, Right : Date_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function hashCode(Obj : access Date_Obj) return Integer;

    function toString(Obj : access Date_Obj) return String_Ptr;

    function toLocaleString(Obj : access Date_Obj) return String_Ptr;

    function toGMTString(Obj : access Date_Obj) return String_Ptr;

    function getTimezoneOffset(Obj : access Date_Obj) return Integer;

    pragma Import(Java, setYear);
    pragma Import(Java, setHours);
    pragma Import(Java, getYear);
    pragma Import(Java, getHours);
    pragma Import(Java, getDay);
    pragma Import(Java, setDate);
    pragma Import(Java, before);
    pragma Import(Java, getDate);
    pragma Import(Java, after);
    pragma Import(Java, toGMTString);
    pragma Import(Java, toLocaleString);
    pragma Import(Java, setMonth);
    pragma Import(Java, hashCode);
    pragma Import(Java, parse);
    pragma Import(Java, getMinutes);
    pragma Import(Java, getSeconds);
    pragma Import(Java, getMonth);
    pragma Import(Java, getTimezoneOffset);
    pragma Import(Java, setTime);
    pragma Import(Java, toString);
    pragma Import(Java, UTC);
    pragma Import(Java, setMinutes);
    pragma Import(Java, getTime);
    pragma Import(Java, setSeconds);

    pragma Import(Java_Constructor, new_Date);

end java.util.Date;
