-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Dialog.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:24:52 $ $Author: vdelvecc $ 
with java.awt.Window; use java.awt.Window;
with java.lang.String; use java.lang.String;
with java.awt.Frame; use java.awt.Frame;
package java.awt.Dialog is

    type Dialog_Obj is new Window_Obj with null record;
    type Dialog_Ptr is access all Dialog_Obj'Class;

    function new_Dialog(
        parent : Frame_Ptr;
        modal : Boolean;
        Obj : Dialog_Ptr := null)
      return Dialog_Ptr;

    function new_Dialog(
        parent : Frame_Ptr;
        title : String_Ptr;
        modal : Boolean;
        Obj : Dialog_Ptr := null)
      return Dialog_Ptr;

    procedure addNotify(Obj : access Dialog_Obj);

    function isModal(Obj : access Dialog_Obj) return Boolean;

    function getTitle(Obj : access Dialog_Obj) return String_Ptr;

    procedure setTitle(Obj : access Dialog_Obj;
        title : String_Ptr);

    function isResizable(Obj : access Dialog_Obj) return Boolean;

    procedure setResizable(Obj : access Dialog_Obj;
        resizable : Boolean);

    pragma Import(Java, isResizable);
    pragma Import(Java, setResizable);
    pragma Import(Java, addNotify);
    pragma Import(Java, setTitle);
    pragma Import(Java, isModal);
    pragma Import(Java, getTitle);

    pragma Import(Java_Constructor, new_Dialog);

end java.awt.Dialog;
