-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_Double.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:43 $ $Author: vdelvecc $ 
with java.lang.Number; use java.lang.Number;
with java.lang.String; use java.lang.String;
with java.lang; use java.lang;
package java.lang.Double is

    type Double_Obj is new Number_Obj with null record;
    type Double_Ptr is access all Double_Obj;

    POSITIVE_INFINITY : constant Long_Float;
    pragma Import(Java, POSITIVE_INFINITY);

    NEGATIVE_INFINITY : constant Long_Float;
    pragma Import(Java, NEGATIVE_INFINITY);

    NaN : constant Long_Float;
    pragma Import(Java, NaN);

    MAX_VALUE : constant Long_Float;
    pragma Import(Java, MAX_VALUE);

    MIN_VALUE : constant Long_Float;
    pragma Import(Java, MIN_VALUE);

    function toString(
        P1 : Long_Float)
      return String_Ptr;

    function valueOf(
        P1 : String_Ptr)
      return Double_Ptr;

    function isNaN(
        v : Long_Float)
      return Boolean;

    function isInfinite(
        v : Long_Float)
      return Boolean;

    function new_Double(
        value : Long_Float)
      return Double_Ptr;

    function new_Double(
        s : String_Ptr)
      return Double_Ptr;

    function isNaN(Obj : access Double_Obj) return Boolean;

    function isInfinite(Obj : access Double_Obj) return Boolean;

    function toString(Obj : access Double_Obj) return String_Ptr;

    function intValue(Obj : access Double_Obj) return Integer;

    function longValue(Obj : access Double_Obj) return Long_Integer;

    function floatValue(Obj : access Double_Obj) return Float;

    function doubleValue(Obj : access Double_Obj) return Long_Float;

    function hashCode(Obj : access Double_Obj) return Integer;

    function "="(Left, Right : Double_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function doubleToLongBits(
        P1 : Long_Float)
      return Long_Integer;

    function longBitsToDouble(
        P1 : Long_Integer)
      return Long_Float;

    pragma Import(Java, longValue);
    pragma Import(Java, valueOf);
    pragma Import(Java, floatValue);
    pragma Import(Java, doubleValue);
    pragma Import(Java, doubleToLongBits);
    pragma Import(Java, longBitsToDouble);
    pragma Import(Java, isInfinite);
    pragma Import(Java, intValue);
    pragma Import(Java, hashCode);
    pragma Import(Java, isNaN);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Double);

end java.lang.Double;
