-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_File.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:43 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
-- with java.io.FilenameFilter; use java.io.FilenameFilter; -- circular
package java.io.File is

    type File_Obj is new Object with null record;
    type File_Ptr is access all File_Obj'Class;

    separator : constant String_Ptr;
    pragma Import(Java, separator);

    separatorChar : constant Wide_Character;
    pragma Import(Java, separatorChar);

    pathSeparator : constant String_Ptr;
    pragma Import(Java, pathSeparator);

    pathSeparatorChar : constant Wide_Character;
    pragma Import(Java, pathSeparatorChar);

    function new_File(
        path : String_Ptr;
        Obj : File_Ptr := null)
      return File_Ptr;

    function new_File(
        path : String_Ptr;
        name : String_Ptr;
        Obj : File_Ptr := null)
      return File_Ptr;

    function new_File(
        dir : File_Ptr;
        name : String_Ptr;
        Obj : File_Ptr := null)
      return File_Ptr;

    function getName(Obj : access File_Obj) return String_Ptr;

    function getPath(Obj : access File_Obj) return String_Ptr;

    function getAbsolutePath(Obj : access File_Obj) return String_Ptr;

    function getParent(Obj : access File_Obj) return String_Ptr;

    function exists(Obj : access File_Obj) return Boolean;

    function canWrite(Obj : access File_Obj) return Boolean;

    function canRead(Obj : access File_Obj) return Boolean;

    function isFile(Obj : access File_Obj) return Boolean;

    function isDirectory(Obj : access File_Obj) return Boolean;

    function isAbsolute(Obj : access File_Obj) return Boolean;

    function lastModified(Obj : access File_Obj) return Long_Integer;

    function length(Obj : access File_Obj) return Long_Integer;

    function mkdir(Obj : access File_Obj) return Boolean;

    function renameTo(Obj : access File_Obj;
        dest : File_Ptr)
      return Boolean;

    function mkdirs(Obj : access File_Obj) return Boolean;

    function list(Obj : access File_Obj) return String_Array;

    function delete(Obj : access File_Obj) return Boolean;

    function hashCode(Obj : access File_Obj) return Integer;

    function "="(Left, Right : File_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function toString(Obj : access File_Obj) return String_Ptr;

    pragma Import(Java, getParent);
    pragma Import(Java, length);
    pragma Import(Java, exists);
    pragma Import(Java, isDirectory);
    pragma Import(Java, getName);
    pragma Import(Java, getAbsolutePath);
    pragma Import(Java, delete);
    pragma Import(Java, mkdir);
    pragma Import(Java, renameTo);
    pragma Import(Java, lastModified);
    pragma Import(Java, canRead);
    pragma Import(Java, canWrite);
    pragma Import(Java, getPath);
    pragma Import(Java, hashCode);
    pragma Import(Java, isAbsolute);
    pragma Import(Java, mkdirs);
    pragma Import(Java, list);
    pragma Import(Java, toString);
    pragma Import(Java, isFile);

    pragma Import(Java_Constructor, new_File);

end java.io.File;
