-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_FileInputStream.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:45 $ $Author: vdelvecc $ 
with java.io.InputStream; use java.io.InputStream;
with java.lang.String; use java.lang.String;
with java.io.File; use java.io.File;
with java.io.FileDescriptor; use java.io.FileDescriptor;
package java.io.FileInputStream is

    type FileInputStream_Obj is new InputStream_Obj with null record;
    type FileInputStream_Ptr is access all FileInputStream_Obj'Class;

    function new_FileInputStream(
        name : String_Ptr;
        Obj : FileInputStream_Ptr := null)
      return FileInputStream_Ptr;

    function new_FileInputStream(
        file : File_Ptr;
        Obj : FileInputStream_Ptr := null)
      return FileInputStream_Ptr;

    function new_FileInputStream(
        fdObj : FileDescriptor_Ptr;
        Obj : FileInputStream_Ptr := null)
      return FileInputStream_Ptr;

    function read(Obj : access FileInputStream_Obj) return Integer;

    function read(Obj : access FileInputStream_Obj;
        b : String)
      return Integer;

    function read(Obj : access FileInputStream_Obj;
        b : String;
        off : Integer;
        len : Integer)
      return Integer;

    function skip(Obj : access FileInputStream_Obj;
        P1 : Long_Integer)
      return Long_Integer;

    function available(Obj : access FileInputStream_Obj) return Integer;

    procedure close(Obj : access FileInputStream_Obj);

    function getFD(Obj : access FileInputStream_Obj) return FileDescriptor_Ptr;

    pragma Import(Java, skip);
    pragma Import(Java, close);
    pragma Import(Java, getFD);
    pragma Import(Java, available);
    pragma Import(Java, read);

    pragma Import(Java_Constructor, new_FileInputStream);

end java.io.FileInputStream;
