-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_GridLayout.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:25:04 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.Component; use java.awt.Component;
with java.lang.String; use java.lang.String;
with java.awt.LayoutManager; use java.awt.LayoutManager;
with java.awt.Container; use java.awt.Container;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.GridLayout is

    type GridLayout_Obj is new Object with record
        LayoutManager : aliased LayoutManager_Obj;  -- implements LayoutManager
    end record;
    type GridLayout_Ptr is access all GridLayout_Obj'Class;

    function new_GridLayout(
        rows : Integer;
        cols : Integer;
        Obj : GridLayout_Ptr := null)
      return GridLayout_Ptr;

    function new_GridLayout(
        rows : Integer;
        cols : Integer;
        hgap : Integer;
        vgap : Integer;
        Obj : GridLayout_Ptr := null)
      return GridLayout_Ptr;

    procedure addLayoutComponent(Obj : access GridLayout_Obj;
        name : String_Ptr;
        comp : Component_Ptr);

    procedure removeLayoutComponent(Obj : access GridLayout_Obj;
        comp : Component_Ptr);

    function preferredLayoutSize(Obj : access GridLayout_Obj;
        parent : Container_Ptr)
      return Dimension_Ptr;

    function minimumLayoutSize(Obj : access GridLayout_Obj;
        parent : Container_Ptr)
      return Dimension_Ptr;

    procedure layoutContainer(Obj : access GridLayout_Obj;
        parent : Container_Ptr);

    function toString(Obj : access GridLayout_Obj) return String_Ptr;

    pragma Import(Java, removeLayoutComponent);
    pragma Import(Java, layoutContainer);
    pragma Import(Java, preferredLayoutSize);
    pragma Import(Java, minimumLayoutSize);
    pragma Import(Java, toString);
    pragma Import(Java, addLayoutComponent);

    pragma Import(Java_Constructor, new_GridLayout);

end java.awt.GridLayout;
