-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_ImageFilter.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:09:12 $ $Author: stt $ 
with java.lang; use java.lang;
with java.lang.Cloneable; use java.lang.Cloneable;
with java.awt.image;
    use java.awt.image.ColorModel;
    use java.awt.image.ImageProducer;
    use java.awt.image.ImageConsumer;
with java.util.Hashtable; use java.util.Hashtable;
package java.awt.image.ImageFilter is

    type ImageFilter_Obj is new Object with record
        ImageConsumer : aliased ImageConsumer_Obj;  -- implements ImageConsumer
        Cloneable : aliased Cloneable_Obj;  -- implements Cloneable
    end record;
    type ImageFilter_Ptr is access all ImageFilter_Obj'Class;

    function getFilterInstance(Obj : access ImageFilter_Obj;
        ic : ImageConsumer_Ptr)
      return ImageFilter_Ptr;

    procedure setDimensions(Obj : access ImageFilter_Obj;
        width : Integer;
        height : Integer);

    procedure setProperties(Obj : access ImageFilter_Obj;
        props : Hashtable_Ptr);

    procedure setColorModel(Obj : access ImageFilter_Obj;
        model : ColorModel_Ptr);

    procedure setHints(Obj : access ImageFilter_Obj;
        hints : Integer);

    procedure setPixels(Obj : access ImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Byte_Array;
        off : Integer;
        scansize : Integer);

    procedure setPixels(Obj : access ImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Integer_Array;
        off : Integer;
        scansize : Integer);

    procedure imageComplete(Obj : access ImageFilter_Obj;
        status : Integer);

    procedure resendTopDownLeftRight(Obj : access ImageFilter_Obj;
        ip : ImageProducer_Ptr);

    function clone(Obj : access ImageFilter_Obj) return Object_Ptr;

    function new_ImageFilter(Obj : ImageFilter_Ptr := null) return ImageFilter_Ptr;

    pragma Import(Java, clone);
    pragma Import(Java, resendTopDownLeftRight);
    pragma Import(Java, getFilterInstance);
    pragma Import(Java, setColorModel);
    pragma Import(Java, setHints);
    pragma Import(Java, setPixels);
    pragma Import(Java, setDimensions);
    pragma Import(Java, setProperties);
    pragma Import(Java, imageComplete);

    pragma Import(Java_Constructor, new_ImageFilter);

end java.awt.image.ImageFilter;
