-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_InetAddress.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:30:51 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.lang; use java.lang;
package java.net.InetAddress is

    type InetAddress_Obj is tagged limited null record;
    type InetAddress_Ptr is access all InetAddress_Obj;

    function getHostName(Obj : access InetAddress_Obj) return String_Ptr;

    function getAddress(Obj : access InetAddress_Obj) return String;

    function hashCode(Obj : access InetAddress_Obj) return Integer;

    function "="(Left, Right : InetAddress_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function toString(Obj : access InetAddress_Obj) return String_Ptr;

    function getByName(
        host : String_Ptr)
      return InetAddress_Ptr;

    type InetAddress_Array is array(Positive range <>) of InetAddress_Ptr;

    function getAllByName(
        host : String_Ptr)
      return InetAddress_Array;

    function getLocalHost return InetAddress_Ptr;

    pragma Import(Java, getByName);
    pragma Import(Java, getLocalHost);
    pragma Import(Java, hashCode);
    pragma Import(Java, getHostName);
    pragma Import(Java, getAddress);
    pragma Import(Java, toString);
    pragma Import(Java, getAllByName);


end java.net.InetAddress;
