-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_Integer.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:46 $ $Author: vdelvecc $ 
with java.lang.Number; use java.lang.Number;
with java.lang.String; use java.lang.String;
with java.lang; use java.lang;
package java.lang.Integer is

    type Integer_Obj is new Number_Obj with null record;
    type Integer_Ptr is access all Integer_Obj;

    subtype Integer is Standard.Integer;  -- so not hidden by pkg name

    MIN_VALUE : constant Integer;
    pragma Import(Java, MIN_VALUE);

    MAX_VALUE : constant Integer;
    pragma Import(Java, MAX_VALUE);

    function toString(
        i : Integer;
        radix : Integer)
      return String_Ptr;

    function toString(
        i : Integer)
      return String_Ptr;

    function parseInt(
        s : String_Ptr;
        radix : Integer)
      return Integer;

    function parseInt(
        s : String_Ptr)
      return Integer;

    function valueOf(
        s : String_Ptr;
        radix : Integer)
      return Integer_Ptr;

    function valueOf(
        s : String_Ptr)
      return Integer_Ptr;

    function new_Integer(
        value : Integer)
      return Integer_Ptr;

    function new_Integer(
        s : String_Ptr)
      return Integer_Ptr;

    function intValue(Obj : access Integer_Obj) return Integer;

    function longValue(Obj : access Integer_Obj) return Long_Integer;

    function floatValue(Obj : access Integer_Obj) return Float;

    function doubleValue(Obj : access Integer_Obj) return Long_Float;

    function toString(Obj : access Integer_Obj) return String_Ptr;

    function hashCode(Obj : access Integer_Obj) return Integer;

    function "="(Left, Right : Integer_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function getInteger(
        nm : String_Ptr)
      return Integer_Ptr;

    function getInteger(
        nm : String_Ptr;
        val : Integer)
      return Integer_Ptr;

    function getInteger(
        nm : String_Ptr;
        val : Integer_Ptr)
      return Integer_Ptr;

    pragma Import(Java, longValue);
    pragma Import(Java, valueOf);
    pragma Import(Java, parseInt);
    pragma Import(Java, floatValue);
    pragma Import(Java, doubleValue);
    pragma Import(Java, intValue);
    pragma Import(Java, hashCode);
    pragma Import(Java, getInteger);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Integer);

end java.lang.Integer;
