-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_LineNumberInputStream.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:54 $ $Author: vdelvecc $ 
with java.io.FilterInputStream; use java.io.FilterInputStream;
with java.io.InputStream; use java.io.InputStream;
package java.io.LineNumberInputStream is

    type LineNumberInputStream_Obj is new FilterInputStream_Obj with null record;
    type LineNumberInputStream_Ptr is access all LineNumberInputStream_Obj'Class;

    function new_LineNumberInputStream(
        stdin : InputStream_Ptr;
        Obj : LineNumberInputStream_Ptr := null)
      return LineNumberInputStream_Ptr;

    function read(Obj : access LineNumberInputStream_Obj) return Integer;

    function read(Obj : access LineNumberInputStream_Obj;
        b : String;
        off : Integer;
        len : Integer)
      return Integer;

    procedure setLineNumber(Obj : access LineNumberInputStream_Obj;
        lineNumber : Integer);

    function getLineNumber(Obj : access LineNumberInputStream_Obj) return Integer;

    function skip(Obj : access LineNumberInputStream_Obj;
        n : Long_Integer)
      return Long_Integer;

    function available(Obj : access LineNumberInputStream_Obj) return Integer;

    procedure mark(Obj : access LineNumberInputStream_Obj;
        readlimit : Integer);

    procedure reset(Obj : access LineNumberInputStream_Obj);

    pragma Import(Java, reset);
    pragma Import(Java, skip);
    pragma Import(Java, mark);
    pragma Import(Java, available);
    pragma Import(Java, setLineNumber);
    pragma Import(Java, read);
    pragma Import(Java, getLineNumber);

    pragma Import(Java_Constructor, new_LineNumberInputStream);

end java.io.LineNumberInputStream;
