-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Point.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:25:18 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
package java.awt.Point is

    type Point_Obj is new Object with record
        x : Integer;
        y : Integer;
    end record;
    type Point_Ptr is access all Point_Obj'Class;

    function new_Point(
        x : Integer;
        y : Integer;
        Obj : Point_Ptr := null)
      return Point_Ptr;

    procedure move(Obj : access Point_Obj;
        x : Integer;
        y : Integer);

    procedure translate(Obj : access Point_Obj;
        x : Integer;
        y : Integer);

    function hashCode(Obj : access Point_Obj) return Integer;

    function "="(Left, Right : Point_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function toString(Obj : access Point_Obj) return String_Ptr;

    pragma Import(Java, move);
    pragma Import(Java, translate);
    pragma Import(Java, hashCode);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Point);

end java.awt.Point;
