-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_Properties.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:14:34 $ $Author: stt $ 
with java.util.Hashtable; use java.util.Hashtable;
with java.lang.String; use java.lang.String;
with java.util.Enumeration; use java.util.Enumeration;
with java.io.OutputStream; use java.io.OutputStream;
with java.io.InputStream; use java.io.InputStream;
with java.io.PrintStream; use java.io.PrintStream;
package java.util.Properties is

    type Properties_Obj is new Hashtable_Obj with null record;
    type Properties_Ptr is access all Properties_Obj'Class;

    function new_Properties(Obj : Properties_Ptr := null) return Properties_Ptr;

    function new_Properties(
        defaults : Properties_Ptr;
        Obj : Properties_Ptr := null)
      return Properties_Ptr;

    procedure load(Obj : access Properties_Obj;
        stdin : InputStream_Ptr);

    procedure save(Obj : access Properties_Obj;
        stdout : OutputStream_Ptr;
        header : String_Ptr);

    function getProperty(Obj : access Properties_Obj;
        key : String_Ptr)
      return String_Ptr;

    function getProperty(Obj : access Properties_Obj;
        key : String_Ptr;
        defaultValue : String_Ptr)
      return String_Ptr;

    function propertyNames(Obj : access Properties_Obj) return Enumeration_Ptr;

    procedure list(Obj : access Properties_Obj;
        stdout : PrintStream_Ptr);

    pragma Import(Java, getProperty);
    pragma Import(Java, propertyNames);
    pragma Import(Java, load);
    pragma Import(Java, list);
    pragma Import(Java, save);

    pragma Import(Java_Constructor, new_Properties);

end java.util.Properties;
