-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_Socket.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:30:55 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.io.OutputStream; use java.io.OutputStream;
with java.net.InetAddress; use java.net.InetAddress;
with java.io.InputStream; use java.io.InputStream;
with java.net.SocketImplFactory; use java.net.SocketImplFactory;
package java.net.Socket is

    type Socket_Obj is tagged limited null record;
    type Socket_Ptr is access all Socket_Obj;

    function new_Socket(
        host : String_Ptr;
        port : Integer)
      return Socket_Ptr;

    function new_Socket(
        host : String_Ptr;
        port : Integer;
        stream : Boolean)
      return Socket_Ptr;

    function new_Socket(
        address : InetAddress_Ptr;
        port : Integer)
      return Socket_Ptr;

    function new_Socket(
        address : InetAddress_Ptr;
        port : Integer;
        stream : Boolean)
      return Socket_Ptr;

    function getInetAddress(Obj : access Socket_Obj) return InetAddress_Ptr;

    function getPort(Obj : access Socket_Obj) return Integer;

    function getLocalPort(Obj : access Socket_Obj) return Integer;

    function getInputStream(Obj : access Socket_Obj) return InputStream_Ptr;

    function getOutputStream(Obj : access Socket_Obj) return OutputStream_Ptr;

    procedure close(Obj : access Socket_Obj);

    function toString(Obj : access Socket_Obj) return String_Ptr;

    procedure setSocketImplFactory(
        fac : SocketImplFactory_Ptr);

    pragma Import(Java, getLocalPort);
    pragma Import(Java, getPort);
    pragma Import(Java, getInetAddress);
    pragma Import(Java, close);
    pragma Import(Java, getOutputStream);
    pragma Import(Java, getInputStream);
    pragma Import(Java, setSocketImplFactory);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Socket);

end java.net.Socket;
