-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_StreamTokenizer.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:01 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
with java.io.InputStream; use java.io.InputStream;
package java.io.StreamTokenizer is

    type StreamTokenizer_Obj is new Object with record
        ttype : Integer;
        sval : String_Ptr;
        nval : Long_Float;
    end record;
    type StreamTokenizer_Ptr is access all StreamTokenizer_Obj'Class;

    TT_EOF : constant Integer;
    pragma Import(Java, TT_EOF);

    TT_EOL : constant Integer;
    pragma Import(Java, TT_EOL);

    TT_NUMBER : constant Integer;
    pragma Import(Java, TT_NUMBER);

    TT_WORD : constant Integer;
    pragma Import(Java, TT_WORD);

    function new_StreamTokenizer(
        I : InputStream_Ptr;
        Obj : StreamTokenizer_Ptr := null)
      return StreamTokenizer_Ptr;

    procedure resetSyntax(Obj : access StreamTokenizer_Obj);

    procedure wordChars(Obj : access StreamTokenizer_Obj;
        low : Integer;
        hi : Integer);

    procedure whitespaceChars(Obj : access StreamTokenizer_Obj;
        low : Integer;
        hi : Integer);

    procedure ordinaryChars(Obj : access StreamTokenizer_Obj;
        low : Integer;
        hi : Integer);

    procedure ordinaryChar(Obj : access StreamTokenizer_Obj;
        ch : Integer);

    procedure commentChar(Obj : access StreamTokenizer_Obj;
        ch : Integer);

    procedure quoteChar(Obj : access StreamTokenizer_Obj;
        ch : Integer);

    procedure parseNumbers(Obj : access StreamTokenizer_Obj);

    procedure eolIsSignificant(Obj : access StreamTokenizer_Obj;
        flag : Boolean);

    procedure slashStarComments(Obj : access StreamTokenizer_Obj;
        flag : Boolean);

    procedure slashSlashComments(Obj : access StreamTokenizer_Obj;
        flag : Boolean);

    procedure lowerCaseMode(Obj : access StreamTokenizer_Obj;
        fl : Boolean);

    function nextToken(Obj : access StreamTokenizer_Obj) return Integer;

    procedure pushBack(Obj : access StreamTokenizer_Obj);

    function lineno(Obj : access StreamTokenizer_Obj) return Integer;

    function toString(Obj : access StreamTokenizer_Obj) return String_Ptr;

    pragma Import(Java, parseNumbers);
    pragma Import(Java, resetSyntax);
    pragma Import(Java, lowerCaseMode);
    pragma Import(Java, commentChar);
    pragma Import(Java, lineno);
    pragma Import(Java, ordinaryChars);
    pragma Import(Java, slashSlashComments);
    pragma Import(Java, nextToken);
    pragma Import(Java, pushBack);
    pragma Import(Java, ordinaryChar);
    pragma Import(Java, whitespaceChars);
    pragma Import(Java, quoteChar);
    pragma Import(Java, eolIsSignificant);
    pragma Import(Java, toString);
    pragma Import(Java, wordChars);
    pragma Import(Java, slashStarComments);

    pragma Import(Java_Constructor, new_StreamTokenizer);

end java.io.StreamTokenizer;
