-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_TextArea.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:04:15 $ $Author: stt $ 
with java.awt.TextComponent; use java.awt.TextComponent;
with java.lang.String; use java.lang.String;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.TextArea is

    type TextArea_Obj is new TextComponent_Obj with null record;
    type TextArea_Ptr is access all TextArea_Obj'Class;

    function new_TextArea(Obj : TextArea_Ptr := null) return TextArea_Ptr;

    function new_TextArea(
        rows : Integer;
        cols : Integer;
        Obj : TextArea_Ptr := null)
      return TextArea_Ptr;

    function new_TextArea(
        text : String_Ptr;
        Obj : TextArea_Ptr := null)
      return TextArea_Ptr;

    function new_TextArea(
        text : String_Ptr;
        rows : Integer;
        cols : Integer;
        Obj : TextArea_Ptr := null)
      return TextArea_Ptr;

    procedure addNotify(Obj : access TextArea_Obj);

    procedure insertText(Obj : access TextArea_Obj;
        str : String_Ptr;
        pos : Integer);

    procedure appendText(Obj : access TextArea_Obj;
        str : String_Ptr);

    procedure replaceText(Obj : access TextArea_Obj;
        str : String_Ptr;
        start : Integer;
        finish : Integer);

    function getRows(Obj : access TextArea_Obj) return Integer;

    function getColumns(Obj : access TextArea_Obj) return Integer;

    function preferredSize(Obj : access TextArea_Obj;
        rows : Integer;
        cols : Integer)
      return Dimension_Ptr;

    function preferredSize(Obj : access TextArea_Obj) return Dimension_Ptr;

    function minimumSize(Obj : access TextArea_Obj;
        rows : Integer;
        cols : Integer)
      return Dimension_Ptr;

    function minimumSize(Obj : access TextArea_Obj) return Dimension_Ptr;

    pragma Import(Java, minimumSize);
    pragma Import(Java, addNotify);
    pragma Import(Java, getRows);
    pragma Import(Java, insertText);
    pragma Import(Java, getColumns);
    pragma Import(Java, appendText);
    pragma Import(Java, preferredSize);
    pragma Import(Java, replaceText);

    pragma Import(Java_Constructor, new_TextArea);

end java.awt.TextArea;
