-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_TextComponent.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:25:22 $ $Author: vdelvecc $ 
with java.awt.Component; use java.awt.Component;
with java.lang.String; use java.lang.String;
package java.awt.TextComponent is

    type TextComponent_Obj is new Component_Obj with null record;
    type TextComponent_Ptr is access all TextComponent_Obj'Class;

    procedure removeNotify(Obj : access TextComponent_Obj);

    procedure setText(Obj : access TextComponent_Obj;
        t : String_Ptr);

    function getText(Obj : access TextComponent_Obj) return String_Ptr;

    function getSelectedText(Obj : access TextComponent_Obj) return String_Ptr;

    function isEditable(Obj : access TextComponent_Obj) return Boolean;

    procedure setEditable(Obj : access TextComponent_Obj;
        t : Boolean);

    function getSelectionStart(Obj : access TextComponent_Obj) return Integer;

    function getSelectionEnd(Obj : access TextComponent_Obj) return Integer;

    procedure select_op(Obj : access TextComponent_Obj;
        selStart : Integer;
        selEnd : Integer);

    procedure selectAll(Obj : access TextComponent_Obj);

    pragma Import(Java, removeNotify);
    pragma Import(Java, setText);
    pragma Import(Java, getSelectionEnd);
    pragma Import(Java, getText);
    pragma Import(Java, selectAll);
    pragma Import(Java, setEditable);
    pragma Import(Java, getSelectedText);
    pragma Import(Java, isEditable);
    pragma Import(Java, getSelectionStart);
    pragma Import(Java, select_op, "select");


end java.awt.TextComponent;
