-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_TextField.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:04:17 $ $Author: stt $ 
with java.awt.TextComponent; use java.awt.TextComponent;
with java.lang.String; use java.lang.String;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.TextField is

    type TextField_Obj is new TextComponent_Obj with null record;
    type TextField_Ptr is access all TextField_Obj'Class;

    function new_TextField(Obj : TextField_Ptr := null) return TextField_Ptr;

    function new_TextField(
        cols : Integer;
        Obj : TextField_Ptr := null)
      return TextField_Ptr;

    function new_TextField(
        text : String_Ptr;
        Obj : TextField_Ptr := null)
      return TextField_Ptr;

    function new_TextField(
        text : String_Ptr;
        cols : Integer;
        Obj : TextField_Ptr := null)
      return TextField_Ptr;

    procedure addNotify(Obj : access TextField_Obj);

    function getEchoChar(Obj : access TextField_Obj) return Wide_Character;

    function echoCharIsSet(Obj : access TextField_Obj) return Boolean;

    function getColumns(Obj : access TextField_Obj) return Integer;

    procedure setEchoCharacter(Obj : access TextField_Obj;
        c : Wide_Character);

    function preferredSize(Obj : access TextField_Obj;
        cols : Integer)
      return Dimension_Ptr;

    function preferredSize(Obj : access TextField_Obj) return Dimension_Ptr;

    function minimumSize(Obj : access TextField_Obj;
        cols : Integer)
      return Dimension_Ptr;

    function minimumSize(Obj : access TextField_Obj) return Dimension_Ptr;

    pragma Import(Java, minimumSize);
    pragma Import(Java, addNotify);
    pragma Import(Java, setEchoCharacter);
    pragma Import(Java, getColumns);
    pragma Import(Java, getEchoChar);
    pragma Import(Java, preferredSize);
    pragma Import(Java, echoCharIsSet);

    pragma Import(Java_Constructor, new_TextField);

end java.awt.TextField;
