-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_URL.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:31:01 $ $Author: vdelvecc $ 
-- with java.net.URLConnection; use java.net.URLConnection;
with java.net.URLStreamHandlerFactory; use java.net.URLStreamHandlerFactory;
with java.lang.String; use java.lang.String;
with java.io.InputStream; use java.io.InputStream;
with java.lang; use java.lang;
package java.net.URL is

    type URL_Obj is tagged limited null record;
    type URL_Ptr is access all URL_Obj;

    function new_URL(
        protocol : String_Ptr;
        host : String_Ptr;
        port : Integer;
        file : String_Ptr)
      return URL_Ptr;

    function new_URL(
        protocol : String_Ptr;
        host : String_Ptr;
        file : String_Ptr)
      return URL_Ptr;

    function new_URL(
        spec : String_Ptr)
      return URL_Ptr;

    function new_URL(
        context : URL_Ptr;
        spec : String_Ptr)
      return URL_Ptr;

    function getPort(Obj : access URL_Obj) return Integer;

    function getProtocol(Obj : access URL_Obj) return String_Ptr;

    function getHost(Obj : access URL_Obj) return String_Ptr;

    function getFile(Obj : access URL_Obj) return String_Ptr;

    function getRef(Obj : access URL_Obj) return String_Ptr;

    function "="(Left, Right : URL_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function hashCode(Obj : access URL_Obj) return Integer;

    function sameFile(Obj : access URL_Obj;
        other : URL_Ptr)
      return Boolean;

    function toString(Obj : access URL_Obj) return String_Ptr;

    function toExternalForm(Obj : access URL_Obj) return String_Ptr;

    function openStream(Obj : access URL_Obj) return InputStream_Ptr;

    function getContent(Obj : access URL_Obj) return Object_Ptr;

    procedure setURLStreamHandlerFactory(
        fac : URLStreamHandlerFactory_Ptr);

    pragma Import(Java, getPort);
    pragma Import(Java, getContent);
    pragma Import(Java, getHost);
    pragma Import(Java, hashCode);
    pragma Import(Java, openStream);
    pragma Import(Java, getRef);
    pragma Import(Java, sameFile);
    pragma Import(Java, setURLStreamHandlerFactory);
    pragma Import(Java, getProtocol);
    pragma Import(Java, getFile);
    pragma Import(Java, toString);
    pragma Import(Java, toExternalForm);

    pragma Import(Java_Constructor, new_URL);

end java.net.URL;
