-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.exceptions.rts_utils.spc,v $ 
-- $Revision: 1.2 $ $Date: 95/10/10 13:14:04 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

with Ada.Unchecked_Conversion;

package Ada.Exceptions.RTS_Utils is
    pragma Suppress( Elaboration_Check );

    package AE renames Ada.Exceptions;
    package ET renames System.RTS.Exception_Types;

    function "+" is
	new Ada.Unchecked_Conversion(ET.Exception_Occurrence_Access,
			    	     AE.Exception_Occurrence_Access);

    function "+" is
	new Ada.Unchecked_Conversion(AE.Exception_Occurrence_Access,
				     ET.Exception_Occurrence_Access);

    function "+" is
	new Ada.Unchecked_Conversion(ET.Exception_Occurrence,
			    	     AE.Exception_Occurrence);

    function "+" is
	new Ada.Unchecked_Conversion(AE.Exception_Occurrence,
				     ET.Exception_Occurrence);

    function "+" is
	new Ada.Unchecked_Conversion(ET.Exception_Id, AE.Exception_Id);

    function "+" is
	new Ada.Unchecked_Conversion(AE.Exception_Id, ET.Exception_Id);

    function Temporary_Save_Occurrence(X : AE.Exception_Occurrence)
				return ET.Exception_Occurrence_Access;

end Ada.Exceptions.RTS_Utils;
