-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.init_pkg.spc,v $ 
-- $Revision: 1.5 $ $Date: 96/10/18 10:39:34 $ $Author: stt $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   
package System.RTS.Init_Pkg is

    pragma Suppress( Elaboration_Check );

    -- The linker will depend on these names when creating the Ada 
    -- header record in load file format.

    procedure RTS_Init;
    pragma Export (C, RTS_Init, "rts_init" );
    pragma Global (RTS_Init);
	-- Must be called to elaborated implicit portable RTS.
	-- Called by target dependent startup code before Ada elaboration

    procedure RTS_Final;
    pragma Export (C, RTS_Final, "rts_final" );
    pragma Global (RTS_Final);

    type Finalize_Default_Master_Type is access procedure;

    Finalize_Default_Master : Finalize_Default_Master_Type := null;
    -- This is initialized as a side-effect of the elaboration
    -- of System.RTS.Master_Pkg.
 
    
end System.RTS.Init_Pkg;
