-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.strings_search.spc,v $ 
-- $Revision: 1.4 $ $Date: 1996/10/30 13:01:24 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

with Ada.Strings.Maps; 

package System.RTS.Strings_Search is
pragma Suppress( Elaboration_Check );
pragma Preelaborate( System.RTS.Strings_Search );

   package AS  renames Ada.Strings;
   package ASM renames Ada.Strings.Maps;

   function Count (Source   : in String;
                   Pattern  : in String;
                   Mapping  : in ASM.Character_Mapping := ASM.Identity)
      return     Natural;

   function Count (Source   : in String;
                   Pattern  : in String;
                   Mapping  : in ASM.Character_Mapping_Function)
      return     Natural;

   function Count (Source : in String;
                   Set    : in ASM.Character_Set)
      return   Natural;

   procedure Find_Token (Source : in String;
                         Set    : in ASM.Character_Set;
                         Test   : in AS.Membership;
                         First  : out Positive;
                         Last   : out Natural);

   function Index (Source   : in String;
                   Pattern  : in String;
                   Going    : in AS.Direction := AS.Forward;
                   Mapping  : in ASM.Character_Mapping := ASM.Identity)
      return     Natural;

   function Index (Source   : in String;
                   Pattern  : in String;
                   Going    : in AS.Direction := AS.Forward;
                   Mapping  : in ASM.Character_Mapping_Function)
      return Natural;

   function Index (Source : in String;
                   Set    : in ASM.Character_Set;
                   Test   : in AS.Membership := AS.Inside;
                   Going  : in AS.Direction  := AS.Forward)
      return   Natural;

   function Index_Non_Blank (Source : in String;
                             Going  : in AS.Direction := AS.Forward)
      return   Natural;

end System.RTS.Strings_Search;
