-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.tgt.utils.spc,v $ 
-- $Revision: 1.2 $ $Date: 95/10/10 14:04:47 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   
package System.RTS.TGT.Utils is

    pragma Suppress( Elaboration_Check );

-- Find the position of the first non-zero bit in an integer,
-- return its index in Bit_Number and clears that bit in Bit_List.
-- First is defined to be the lowest bit number,
-- or the lowest index of a packed array of booleans, where
-- the index range is 1 .. Number of bits in integer;
-- If no bits are set, returns Bit_Number = 0;
-- Depending on implementation, may be target dependent.
-- A target independent implementation is provided, but may be
-- replaced with an efficient target dependent implementation

procedure Find_First_Bit_And_Clear(
    Bit_List   : in out Integer;
    Bit_Number : out Integer );

end System.RTS.TGT.Utils;
