-- ***************************************************************************
-- *                       Primitive_Ops.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This example shows the inheritance of primitive operations
-- *    with "normal" types.
-- * Inputs:  None.
-- * Outputs: Message from function "+".
-- ***************************************************************************

with Ada.Text_IO; use Ada.Text_IO;

procedure Primitive_Ops is

   function "+"(L, R : Integer) return Integer;
   function "+"(L, R : Integer) return Integer is
   begin
      Put_Line("Overridden addition operator");
      return 0;
   end "+";

   type Transaction_ID is new Integer;

   A, B, C : Transaction_ID;
begin

   A := 1 + 1;
   A := B + 1;
   A := B + C;

end Primitive_Ops;
