-- ***************************************************************************
-- *                         Network_IO.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: The body for the network IO package, incomplete.
-- * Inputs:  None.
-- * Outputs: this file does NOT compile.
-- ***************************************************************************

with Ada.Text_IO;
 
package body Network_IO is

   -- lots and lots missing !

   function Stream
     (Connection : in Connection_Type)
      return Stream_Access is

      The_Stream : Network_Stream_Access;
   begin
      The_Stream := new Network_Stream_Type;

      The_Stream.Connection := Connection;

      return Stream_Access(The_Stream);
   end Stream;

   procedure Read
     (Stream : in out Network_Stream_Type;
      Item   : out    Stream_Element_Array;
      Last   : out    Stream_Element_Offset) is
   begin
      Ada.Text_IO.Put_Line("Socket'Read ( 1 .. " &
			          Stream_Element_Offset'Image(Last) &
			          " )");
   end Read;

   procedure Write
     (Stream : in out Network_Stream_Type;
      Item   : in    Stream_Element_Array) is
   begin
      Ada.Text_IO.Put_Line("Socket'Write (" & 
			        Stream_Element_Offset'Image(Item'First) &
			        " .. " &
			        Stream_Element_Offset'Image(Item'Last) &
			        " ) :=");
      for I in Item'Range loop
	    Ada.Text_IO.Put(Stream_Element'Image(Item(I)));
      end loop;
      Ada.Text_IO.New_Line;
   end Write;

end Network_IO;
