-- ***************************************************************************
-- *                         C_Test1.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Test the interface to C to print a message using a C 
-- *    function.
-- * Inputs:  None.
-- * Outputs: "hello world".
-- ***************************************************************************

with Interfaces.C;
use type Interfaces.C.char_array;

procedure C_Test1 is

   procedure PutString(S : Interfaces.C.char_array);

   pragma Import(C, PutString, "putstring");

   C_Str : Interfaces.C.char_array := "hello world" &  
                                      Interfaces.C.nul;
begin

   PutString(C_Str);

end C_Test1;
