-- ***************************************************************************
-- *                         Remote_Test.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Shows the pragmas used for the distributed systems annex.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

package Remote_Test is
   pragma Remote_Call_Interface(Remote_Test);

   procedure First_Remote;
   function  Second_Remote return Integer;

   procedure Third_Remote;
   pragma Asynchronous(Third_Remote);

   type Remote_Type is tagged private;
   subtype Remote_Type_Class is Remote_Type'Class;

   procedure Fourth_Remote(Operand : Remote_Type_Class);

private
   type Remote_Type is tagged null record;

end Remote_Test;
