with Win32.Windef;
with Win32.Wingdi;
-- with Win32.Utils;
with Windows.Data;
package body Windows.Child_Routines is
--  use type Win32.Bool;
--  use type Win32.Int;
  use type Win32.Short;
  use type Win32.Wparam;
--  use type Win32.Word;

  Temporary_Integer        : Integer;

  Offset                   : Integer;

--   Integer_Result  : Win32.Int;

--   Bool_Result     : Win32.Bool;

--   Long_Result     : Win32.Long;

--   Word_Result     : Win32.Word;

   Window_Handle_Result    : Win32.Windef.Hwnd;

   function Scroll
     (Window_Handle : Win32.Windef.Hwnd;
      Message       : Win32.Uint;
      Wparam        : Win32.Wparam;
      Lparam        : Win32.Lparam) return Win32.Lresult is
   begin

     Temporary_Integer :=
       Integer
         (Win32.Winuser.Getwindowlong
           (Hwnd =>
             Window_Handle,
            Nindex =>
             Win32.Winuser.Gwl_Id));

      case Message is

	 when Win32.Winuser.Wm_Keydown =>

           if Wparam = Win32.Winuser.Vk_Tab then

             if Win32.Winuser.Getkeystate
                  (Win32.Winuser.Vk_Shift) < 0 then

               Offset :=
                2;

             else

               Offset :=
                1;

             end if;
 
             Window_Handle_Result :=
               Win32.Winuser.Setfocus
                 (Hwnd =>
                   Scroll_Window_Handle_Array
                    ((Temporary_Integer + Offset) mod 3));
           
           end if;

	 when Win32.Winuser.Wm_Setfocus =>

          Focus :=
            Temporary_Integer;

	 when others                    =>

           null;

      end case;

      return Win32.Winuser.Callwindowproc
               (Lpprevwndfunc =>
                 Old_Scroll_Array(Temporary_Integer),
                Hwnd          =>
                 Window_Handle,
                Msg           =>
                 Message,
                Wparam        =>
                 Wparam,
                Lparam        =>
                 Lparam);

   end Scroll;

end Windows.Child_Routines;
