-- $Source: /home/harp/1/proto/monoBANK/winnt/init.ads,v $ 
-- $Revision: 1.4 $ $Date: 96/09/04 08:00:05 $ $Author: mg $ 
-- $Id: init.ads 1.2 1995/01/25 15:55:04 teg Exp teg $
--
--  package Init specification
--  
--  Based on init.c
--

with Win32;
with Win32.WinDef;
with Win32.Winnt;

package Init is

  function RegisterAppClass (hInst : Win32.Windef.HINSTANCE) return Win32.BOOL;

  procedure UnregisterAppClass (hInst : Win32.Windef.HINSTANCE); 

  function CreateAppWindow (hInst : Win32.Windef.HINSTANCE) return 
                                                        Win32.WinDef.HWND;

  function CreateMDIClientWindow (hWndFrame : Win32.WinDef.HWND)
                                              return Win32.WinDef.HWND;

-------------------------------------------------------------------------------
--
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED WITHOUT CHARGE
-- "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING
-- BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR
-- FITNESS FOR A PARTICULAR PURPOSE.  The user assumes the entire risk as to
-- the accuracy and the use of this file.  This file may be used, copied,
-- modified and distributed only by licensees of Microsoft Corporation's
-- WIN32 Software Development Kit in accordance with the terms of the 
-- licensee's End-User License Agreement for Microsoft Software for the
-- WIN32 Development Kit.
--
-- Copyright (c) Intermetrics, Inc. 1995
-- Portions (c) 1985-1994 Microsoft Corporation with permission.
-- Microsoft is a registered trademark and Windows and Windows NT are
-- trademarks of Microsoft Corporation.
--
-------------------------------------------------------------------------------

end Init;
