# $Source: /home/harp/1/proto/monoBANK/winnt/wxform.mak,v $ 
# $Revision: 1.3 $ $Date: 96/09/04 10:42:06 $ $Author: mg $ 

#OBJS should include all .ali, .obj, and .res files in the final link
#     Note that the main .ali file must have the same name as the
#     target .exe file in order for the inference rule to work. 
OBJS=wxform_ada.ali wxform.rbj

all : wxform_ada.exe

include ..\MakeSamples.txt

wxform_ada.exe : $(OBJS)
	$(GNATBL) $(GNATBL_FLAGS) $(OBJS) -o $@


#Dependencies from "withs"  (the compilation command is inferred)
#Use .obj as the dependent if the package has a .obj, otherwise use .ads
#DONT specify its own .obj as a dependent

wxform.rbj: resource.h wxform.h wxform.ico wxform.rc
# requires msvc
#
#	rc -r -DWIN32 -fo wxform.tmp wxform.rc
#	cvtres -i386 wxform.tmp -o wxform.rbj
#	del wxform.tmp

wxform_ada.ali: wxform_pkg.ali wxform_util.ali

wxform_pkg.ali: wxform_pkg.ads

wxform_util.ali: wxform_util.ads wxform_util.adb

